diff -r 8c3a65a7e607 ipa-server/ipa-install/ipa-server-install
--- a/ipa-server/ipa-install/ipa-server-install	Thu Jan 24 13:03:19 2008 +0000
+++ b/ipa-server/ipa-install/ipa-server-install	Thu Jan 24 13:08:09 2008 +0000
@@ -273,23 +273,22 @@ def main():
 
     # Create a directory server instance
     ds = ipaserver.dsinstance.DsInstance()
-    ds.create_instance(ds_user, realm_name, host_name, dm_password)
+    ds.install(ds_user, realm_name, host_name, dm_password)
 
     # Create a kerberos instance
     krb = ipaserver.krbinstance.KrbInstance()
-    krb.create_instance(ds_user, realm_name, host_name, dm_password, master_password)
+    krb.install(ds_user, realm_name, host_name, dm_password, master_password)
 
     # Create a HTTP instance
     http = ipaserver.httpinstance.HTTPInstance()
-    http.create_instance(realm_name, host_name)
+    http.install(realm_name, host_name)
 
     # Create a Web Gui instance
-    webgui = ipaserver.httpinstance.WebGuiInstance()
-    webgui.create_instance()
+    ipaserver.httpinstance.WebGuiInstance().install()
 
     bind.setup(host_name, ip, realm_name)
     if options.setup_bind:
-        bind.create_instance()
+        bind.install()
     else:
         bind.create_sample_bind_zone()
 
@@ -302,7 +301,7 @@ def main():
 
     # Configure ntpd
     ntp = ipaserver.ntpinstance.NTPInstance()
-    ntp.create_instance()
+    ntp.install()
 
     # Set the admin user kerberos password
     ds.change_admin_password(admin_password)
diff -r 8c3a65a7e607 ipa-server/ipaserver/bindinstance.py
--- a/ipa-server/ipaserver/bindinstance.py	Thu Jan 24 13:03:19 2008 +0000
+++ b/ipa-server/ipaserver/bindinstance.py	Thu Jan 24 13:08:09 2008 +0000
@@ -62,7 +62,7 @@ class BindInstance(service.Service):
         os.close(bind_fd)
         print "Sample zone file for bind has been created in "+bind_name
 
-    def create_instance(self):
+    def install(self):
 
         try:
             self.stop()
diff -r 8c3a65a7e607 ipa-server/ipaserver/dsinstance.py
--- a/ipa-server/ipaserver/dsinstance.py	Thu Jan 24 13:03:19 2008 +0000
+++ b/ipa-server/ipaserver/dsinstance.py	Thu Jan 24 13:08:09 2008 +0000
@@ -108,7 +108,7 @@ class DsInstance(service.Service):
         self.domain = None
         self.pkcs12_info = None
 
-    def create_instance(self, ds_user, realm_name, host_name, dm_password, pkcs12_info=None):
+    def install(self, ds_user, realm_name, host_name, dm_password, pkcs12_info=None):
         self.ds_user = ds_user
         self.realm_name = realm_name.upper()
         self.serverid = realm_to_serverid(self.realm_name)
diff -r 8c3a65a7e607 ipa-server/ipaserver/httpinstance.py
--- a/ipa-server/ipaserver/httpinstance.py	Thu Jan 24 13:03:19 2008 +0000
+++ b/ipa-server/ipaserver/httpinstance.py	Thu Jan 24 13:08:09 2008 +0000
@@ -55,7 +55,7 @@ class HTTPInstance(service.Service):
     def __init__(self):
         service.Service.__init__(self, "httpd")
 
-    def create_instance(self, realm, fqdn):
+    def install(self, realm, fqdn):
         self.fqdn = fqdn
         self.realm = realm
         self.domain = fqdn[fqdn.find(".")+1:]
diff -r 8c3a65a7e607 ipa-server/ipaserver/krbinstance.py
--- a/ipa-server/ipaserver/krbinstance.py	Thu Jan 24 13:03:19 2008 +0000
+++ b/ipa-server/ipaserver/krbinstance.py	Thu Jan 24 13:08:09 2008 +0000
@@ -121,7 +121,7 @@ class KrbInstance(service.Service):
         self.step("starting the KDC", self.__start_instance)
         self.step("configuring KDC to start on boot", self.__enable)
 
-    def create_instance(self, ds_user, realm_name, host_name, admin_password, master_password):
+    def install(self, ds_user, realm_name, host_name, admin_password, master_password):
         self.master_password = master_password
 
         self.__common_setup(ds_user, realm_name, host_name, admin_password)
@@ -141,7 +141,7 @@ class KrbInstance(service.Service):
 
         self.start_creation("Configuring Kerberos KDC")
 
-        self.kpasswd.create_instance()
+        self.kpasswd.install()
 
     def create_replica(self, ds_user, realm_name, host_name, admin_password, ldap_passwd_filename):
         self.__copy_ldap_passwd(ldap_passwd_filename)
@@ -159,7 +159,7 @@ class KrbInstance(service.Service):
 
         self.start_creation("Configuring Kerberos KDC")
 
-        self.kpasswd.create_instance()
+        self.kpasswd.install()
 
     def __copy_ldap_passwd(self, filename):
         sysrestore.backup_file("/var/kerberos/krb5kdc/ldappwd")
diff -r 8c3a65a7e607 ipa-server/ipaserver/ntpinstance.py
--- a/ipa-server/ipaserver/ntpinstance.py	Thu Jan 24 13:03:19 2008 +0000
+++ b/ipa-server/ipaserver/ntpinstance.py	Thu Jan 24 13:08:09 2008 +0000
@@ -58,7 +58,7 @@ class NTPInstance(service.Service):
         self.backup_state("enabled", self.is_enabled())
         self.chkconfig_on()
 
-    def create_instance(self):
+    def install(self):
         self.step("writing configuration", self.__write_config)
 
         # we might consider setting the date manually using ntpd -qg in case
diff -r 8c3a65a7e607 ipa-server/ipaserver/service.py
--- a/ipa-server/ipaserver/service.py	Thu Jan 24 13:03:19 2008 +0000
+++ b/ipa-server/ipaserver/service.py	Thu Jan 24 13:08:09 2008 +0000
@@ -127,8 +127,8 @@ class Service:
         self.steps = []
 
 class SimpleServiceInstance(Service):
-    def create_instance(self):
-        self.step("starting %s " % self.service_name, self.__start)
+    def install(self):
+        self.step("starting %s" % self.service_name, self.__start)
         self.step("configuring %s to start on boot" % self.service_name, self.__enable)
         self.start_creation("Configuring %s" % self.service_name)
 
